.preventFloat(@maxwidth: @phone, @margin: @padding) {
	@media (max-width: @maxwidth) {
		float: none;
		width: 100% !important;
		margin: 0 auto @margin;
		&:last-child {
			margin-bottom: 0;
		}
	}
}

* {
	box-sizing: border-box;
}

html {
	font-size: 62.5%; // set .1rem to 1px
}

body {
	background-color: white;
	font-size: 1.5rem;
	color: @text_black;
	font-family: 'Open Sans', 'Trebuchet MS', Arial, Helvetica, sans-serif;
	&.noscroll {
		overflow: hidden;
	}
}

.clearfix, .cf {
	zoom: 1;
	&:before, &:after { content: ""; display: table; }
	&:after { clear: both; }
}

.hide_on_phone {
	@media (max-width: @phone) {
		display: none !important;
	}
}
.hide_on_tablet {
	@media (max-width: @tablet) {
		display: none !important;
	}
}

#content {
	position: relative;
	width: 100%;
	max-width: @containerwidth + (2 * 210px);
	margin: 0 auto;
	overflow: auto;    
}

.container {
	.cf;
	position: relative;
	width: 100%;
	max-width: @containerwidth;
	margin: 0 auto;
	&.borderlr {
		// border-left: 1px solid @border;
		// border-right: 1px solid @border;
	}
	&.borderb {
		border-bottom: 1px solid @border;
	}
	@media (max-width: @containerwidth) {
		border-left: none !important;
		border-right: none !important;
	}
	@media (max-width: @phone) {
		border-bottom: none !important;
	}
}

#container {
	.container;
	background-color: white;
	box-shadow: 0 0 40px 10px rgba(0,0,0,.2);
}

// #inner-content {
// 	border-left: 1px solid @border;
// 	border-right: 1px solid @border;
// 	border-bottom: 1px solid @border;
// }

.p {
	padding: @padding;
	@media (max-width: @phone) {
		padding: @padding/2;
	}
}
.pv {
	padding: @padding 0;
	@media (max-width: @phone) {
		padding: @padding/2 0;
	}
}
.ph {
	padding: 0 @padding;
	@media (max-width: @phone) {
		padding: 0 @padding/2;
	}
}

#main {
	p {
		line-height: 1.5;
		a, a:link, a:visited {
			color: @lightpink;
			text-decoration: underline;
		}
		// Styling for Amazon Product Link Elements
		iframe {
			margin: 8px 13px;
		}
	}
	.alignleft {
		float: left;
		margin: 0 15px 0 0;
	}
	.alignright {
		float: right;
		margin: 0 0 0 15px;
	}
	.amazonwidget {
		p {
			color: @lightpink;
			font-size: 16px;
			font-weight: bold;
			line-height: 1.3;
			margin-top: 50px;
			padding: 0 20px;
			text-align: center;
		}
	}
}

img {
	display: block;
}
img.seperator {
	max-width: 100%;
	margin: @padding*2 auto !important;
}
a {
	color: inherit;
	cursor: pointer;
	text-decoration: none;
	font-weight: normal;
	outline: none;
	&:hover {
		text-decoration: underline;
	}
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
	font-family: 'Roboto Slab', serif;
}

p {
	.hyphens(none);
}

ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

hr {
	display: block;
	width: 75%;
	height: 1px;
	border: none;
	outline: none;
	background: #DDDDDD;
	margin: 30px auto;
}

label {
	font-size: .9em;
}

input[type=text], input[type=email], input[type=password],  input[type=tel], textarea {
	outline: none;
	border: 1px solid @border;
	background: rgba(0,0,0,.02);
	padding: .75rem 1rem;
	&:focus, &:active {
		border: 1px solid @lightpink;
	}
}

input[type=radio], input[type=checkbox] {
	margin-right: 5px;
}

input[type=submit], input[type=button], .button, button {
	display: inline-block;
	padding: .30rem 1rem;
	outline: none;
	border: none;
	.border-radius(2px);
	background: @lightpink;
	color: white;
	.transition(background 200ms ease);
	&:hover {
		background: darken(@lightpink, 5%);
		text-decoration: none;
	}
	&:active {
		background: darken(@lightpink, 10%);
	}
	&.login-btn {
		padding: 4px 14px;
		margin-top: -3px;
	}
	&.big {
		padding: 1.5rem 2rem;
	}
	&.small {
		font-size: 1rem;
		padding: .5rem .75rem;
	}
	&.white {
		background: white;
		color: @text_black;
		font-weight: bold;
	}
	&.arrowright:after {
		content: '\f3d1';
		font-family: 'ionicons';
		display: inline-block;
		vertical-align: middle;
		font-size: .75em;
		margin-left: .5em;
	}
}

.hidden {
	display: none !important;
}

/* ALERTS */

.warning, .piereg_warning {
	//background-color: #F4C258 !important;
	background: #F4C258 !important;
	padding: 8px 12px;
}
.message {
	display: block;
	background-color: #FFFBCC;
	padding: 8px 12px;
	color: #333;
	margin: 10px 0;
	border: 1px solid #E6DB55;
	&.error {
		background-color: #FFEBE8;
		border-color: #CC0000;
	}
}

.darkpink {
	color: @darkpink;
}

.mbottom {
	margin-bottom: 10px;
}

.panel-grid-inner, .panel-row-style {
	overflow: auto;
}
.panel-grid-inner {
	margin: 0 auto;
	width: 100%;
}
.panel-row-style {
	margin: 0 auto;
	max-width: @containerwidth;
	width: 100%;
	.panel-grid-inner {
		max-width: none;
	}
}
.panel-row-style-wide-bg, .panel-row-style-wide-content, .panel-row-style-wide-content .panel-grid-inner {
	max-width: none !important;
}
.panel-row-style-wide-bg .panel-grid-inner {
	max-width: @containerwidth !important;
}